package controller
{
import flash.events.Event;

/**
 * ...
 * @author hoge

 */
public class APIControllerEvent extends Event
{

    static public const LOAD_COMPLETE:String = "loadComplete";
    static public const IO_ERROR:String = "ioError";
    static public const SECURYTY_ERROR:String = "securityError";

    private var _data:String;

    public function APIControllerEvent(type:String, data:String = "", bubbles:Boolean = false, cancelable:Boolean = false):void
    {
        _data = data;
        super(type, bubbles, cancelable);
    }

    public override function clone():Event
    {
        return new (type, _data, bubbles, cancelable);
    }

    public override function toString():String
    {
        return formatToString("APIControllerEvent", "data", "bubbles", "cancelable");
    }

    public function get data():String
    {
        return _data;
    }

}

}