/**
 * Created by 393 on 2014/05/27.
 */
package test
{
import flash.display.BitmapData;
import flash.display.MovieClip;
import flash.display.Sprite;
import flash.events.MouseEvent;
import flash.events.TimerEvent;
import flash.geom.Rectangle;
import flash.text.GridFitType;
import flash.text.TextField;
import flash.text.TextFieldAutoSize;
import flash.text.TextFormat;
import flash.utils.Timer;

[SWF(backgroundColor="#0", frameRate="30", width="350", height="240")]

public class BitmapTextTest extends MovieClip
{
    private var _tfList:Vector.<TextField>;
    private var _tfm:TextFormat;
    private var _count:int;

    public function BitmapTextTest()
    {
        super();

        var timer:Timer = new Timer(100, 1);
        timer.addEventListener(TimerEvent.TIMER, timerHandler);
        timer.start();
    }

    private function init():void
    {
        _tfList = new Vector.<TextField>();
        for (var i:int = 0; i < 15; i++)
        {
            var tfContainer:MovieClip = new TfContainer();
            addChild(tfContainer);
            var tf:TextField = tfContainer.tf;
            tf.textColor = 0xFF0000;
            tf.border = false;
            tf.background = false;
            //tf.backgroundColor = 0x000000;
            tf.embedFonts = true;
            tf.autoSize = TextFieldAutoSize.LEFT;
            //			_tf.antiAliasType = AntiAliasType.ADVANCED;
            tf.gridFitType = GridFitType.SUBPIXEL;
            _tfList.push(tf);
        }


        _tfm = new TextFormat();
        _tfm.letterSpacing = 0;
        _tfm.size = 11
        _tfm.kerning = true;

        setText("あー,、owi「'あ")

        stage.addEventListener(MouseEvent.CLICK, clickHandler);
    }

    private function clickHandler(event:MouseEvent):void
    {
        for (var i:int = 0, l:int = _tfList.length; i < l; i++)
        {
            _tfList[i].visible = false;
        }
        _tfList[_count].visible = true;

        _count++;
        if (_count >= l) _count = 0;
    }

    private function timerHandler(event:TimerEvent):void
    {
        init();
    }

    private function setText(text:String):void
    {
        var textList:Array = text.split("");
        var l:int = textList.length;
        var container:Sprite = new Sprite();
        this.addChild(container);
        container.x = -1;
        var nextX:int = 0;
        var space:int = 1;
        for (var i:int = 0; i < l; i++)
        {
            _tfList[i].text = textList[i];
            _tfList[i].setTextFormat(_tfm);
            var rect0:Rectangle = getTextRect(_tfList[i]);
            nextX -= rect0.x;
            _tfList[i].x = nextX;
            var offsetY:int = (_tfList[i].height - rect0.y - rect0.height) - 12;
            if (offsetY >= 0 || _tfList[i].text == "「") offsetY = -4;
            _tfList[i].y = offsetY;
            if (rect0.width == 0) space = 4;
            else space = 1;
            nextX += (rect0.width + rect0.x + space);
        }

        var tfContainer:MovieClip = new TfContainer();
        var tf:TextField = tfContainer.tf;
        tf.textColor = 0xFF0000;
        tf.background = false;
        tf.embedFonts = true;
        tf.border = false;
        tf.autoSize = TextFieldAutoSize.LEFT;
        //			_tf.antiAliasType = AntiAliasType.ADVANCED;
        tf.gridFitType = GridFitType.SUBPIXEL;

        tf.y = 15;
        tf.text = text;
        tf.setTextFormat(_tfm);
    }

    private function getTextRect(textField:TextField):Rectangle
    {
        var bmd:BitmapData = new BitmapData(textField.width, textField.height, true, 0);
        bmd.draw(textField);
        return bmd.getColorBoundsRect(0xFF00000, 0, false);
    }


    private function setPositionYOffset(textField:TextField):int
    {
        var bmd:BitmapData = new BitmapData(textField.width, textField.height, false, 0);
        bmd.draw(textField);
        var ll:int = bmd.width;

        var l:int = bmd.height;
        var defaultOffsetY:int = 7;
        var rect:Rectangle = bmd.getColorBoundsRect(0xFF00000, 0, false);
        for (var i:int = 0; i < l; i++)
        {
            for (var ii:int = 0; ii < ll; ii++)
            {
                if (bmd.getPixel(ii, bmd.height - i) != 0)
                {
                    return i - defaultOffsetY;
                }
            }
        }
        return 0;
    }

}
}
